/*
 *------------------------------------------------------------------
 *
 * LESS Group 
 * Computer Sciences Department 
 * University of Texas at Austin
 *
 * HCEndian.h ---
 *          
 * HCEndian has the really low-level stuff for transmorifying
 * basic types -- long, long long. It is up to each class
 * that wants to be able to go across the wire to call
 * these primitives on its own fields. 
 *
 * $Date: 1998/03/03 00:05:19 $ $Id: HCEndian.h,v 1.2 1998/03/03 00:05:19 jkay Exp $
 *
 * Copyright (c) 1997 by Mike Dahlin.
 * 
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for noncommercial use without fee and
 * without written agreement is hereby granted, provided that 
 * the above copyright notice appear in all copies of this software.
 * 
 *------------------------------------------------------------------
 */
#ifndef _HCEndian_h_
#define _HCEndian_h_

#include <sys/types.h>
#include <netinet/in.h>


long long unsigned  HCEndian_llNetToMachine(long long unsigned net);
long long unsigned HCEndian_llMachineToNet(long long unsigned  mach);
void HCEndian_selfTest(void);




#endif _HCEndian_h_
