#ifndef DIST_H

/* Accessor convenience */

struct _updatee {
    struct _updatee *next;
    StoreEntry *entry;         /* Backpointer to relevant entry */
    struct sockaddr_in saddr;
    time_t lastmod;
};

extern Updatee *distNewUpdatee _PARAMS((StoreEntry *entry, request_t *r));
extern void distEntryUpdate _PARAMS((StoreEntry *e, icpStateData *icp));
extern const char *distifyUrl _PARAMS((const char *url));

#endif /* DIST_H */
