/*
 *------------------------------------------------------------------
 *
 * LESS Group 
 * Computer Sciences Department 
 * University of Texas at Austin
 *
 * HCProp ---
 *          Algorithms for propagating hints.
 *
 * $Date: 1998/05/04 18:43:21 $ $Id: HCProp.h,v 1.3 1998/05/04 18:43:21 dahlin Exp $
 *
 * Copyright (c) 1997 by Mike Dahlin.
 * 
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for noncommercial use without fee and
 * without written agreement is hereby granted, provided that 
 * the above copyright notice appear in all copies of this software.
 * 
 *------------------------------------------------------------------
 */
#ifndef _HCProp_h_
#define _HCProp_h_
#include "HCPrimitives.h"
void hcprop_localAction(char *url, int action);
void hcprop_handleInvalToChild(HCUpdate *update);
void hcprop_handleInformToChild(HCUpdate *update);
void hcprop_handleInvalToParent(HCUpdate *update, int local);
void hcprop_handleInformToParent(HCUpdate *update, int local);

#endif _HCProp_h_
